﻿@using LapStore.Core.Models
@using X.PagedList;
@using X.PagedList.Mvc.Core;




@model IPagedList<Product>


@{
    ViewData["Title"] = "All Post";
    var Brands = _unitOfWork.BrandRepository.GetAll();
}
@functions{
    public decimal getSaleMoney(Product product)
    {
        if (product.DiscountId == null)
        {

            return 0;
        }
        else
        {
            Discount discount = _unitOfWork.DiscountRepository.GetById(product.DiscountId);
            if (discount is not null)
            {
                if (discount.StartDate <= DateTime.Now && DateTime.Now <= discount.EndDate)
                {
                    return product.Price * Convert.ToDecimal(discount.Percent) / 100;

                }
            }
            return 0;

        }
    }
}
<div class="home-silder container col-12 border-5 mb-3">
    <img class="mySlides" style="border: 10" src="/custom/client/img/638158968838647161_F-C1_1200x300.webp">
    <img class="mySlides" src="/custom/client/img/638184978240095804_F-C1_1200x300.webp">
    <img class="mySlides" src="/custom/client/img/638149199266138019_F-C1_1200x300.webp">
    <img class="mySlides" src="/custom/client/img/638184976790109849_F-C1_1200x300.webp">
    <img class="mySlides" src="/custom/client/img/638184975954297618_F-C1_1200x300.webp">
</div>
<div class="col-3">
    <div id="product-sidebar">
        <ul>
            <h6><a href="#" style="background-color:#1186c9;color:aliceblue">DANH MỤC SẢN PHẨM</a></h6>
            @{
                foreach (var item in Brands)
                {
                    <li><a href="/Customer/Products/GetProductByBrand?brandUrl=@item.UrlSlug">Laptop @item.Name</a></li>
                }
            }
        </ul>
    </div>
</div>
    <div class="col-9">
    <div class="product-container container rounded">
        <div class="row">
            @foreach (var item in Model)
            {

                <div class="product-preview">
                    <a href="/Customer/Products/Details?Id=@item.Id">
                        <div class="product-image" style="width: 100%; position: relative; padding-bottom: 100%;">
                            <img src="/custom/client/img/@item.ImageName" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;" />
                        </div>
                        <div class="product-name h6">@item.Name</div>
                        <div class="product-sale-price col-6">@item.Price đ</div>
                        <div class="product-price rounded-pill col-8">
                            @{
                                var price = item.Price - getSaleMoney(item);
                            }@price đ
                        </div>
                        <div class="col-12">
                            <div class="product-infor row">
                                <div class="product-screen-size col-6"><i class="fa fa-desktop" aria-hidden="true"></i> @item.Monitor Inch</div>
                                <div class="product-cpu col-6"><i class="fas fa-microchip"></i> @item.Name</div>
                                <div class="product-memory col-6"><i class="fas fa-memory"></i> Ram @item.Ram GB</div>
                                <div class="product-hardDriver col-6"><i class="fas fa-hdd"></i> SSD @item.HardDriver GB</div>
                                <div class="product-gpu col-12">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="13.5" fill="currentColor" class="bi bi-gpu-card" viewBox="0 0 16 16">
                                        <path d="M4 8a1.5 1.5 0 1 1 3 0 1.5 1.5 0 0 1-3 0Zm7.5-1.5a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3Z" />
                                        <path d="M0 1.5A.5.5 0 0 1 .5 1h1a.5.5 0 0 1 .5.5V4h13.5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-.5.5H2v2.5a.5.5 0 0 1-1 0V2H.5a.5.5 0 0 1-.5-.5Zm5.5 4a2.5 2.5 0 1 0 0 5 2.5 2.5 0 0 0 0-5ZM9 8a2.5 2.5 0 1 0 5 0 2.5 2.5 0 0 0-5 0Z" />
                                        <path d="M3 12.5h3.5v1a.5.5 0 0 1-.5.5H3.5a.5.5 0 0 1-.5-.5v-1Zm4 1v-1h4v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5Z" />
                                    </svg> @item.Card
                                </div>
                                <div class="product-weight col-6">
                                    <i class="fas fa-weight-hanging"></i> @item.Weight kg
                                </div>
                                <div class="product-os col-6">
                                    <i class="fab fa-microsoft"></i> @item.OperatingSystem
                                </div>
                            </div>
                            <div class="row">
                                <div class="product-buy-btn bg-danger text-center text-white font-weight-bold rounded-pill col-8 mb-2 p-2">MUA NGAY</div>
                            </div>
                        </div>
                    </a>
                </div>

            }
@*            @foreach(var item in Model)
            {

                <div class="product-preview">
                    <a href="/Customer/Products/Details?Id=@item.Id">
                    <img width="100%" class="product-image" src="/custom/client/img/@item.ImageName">
                    <div class="product-name h6">@item.Name</div>
                    <div class="row"></div>
                    <div class="product-sale-price col-6">@item.Price đ</div>
                    <div class="product-price rounded-pill col-8">@{
                            var price = item.Price-getSaleMoney(item);
                        }@price đ</div>
                    <div class="row"></div>
                    <div class="col-12">
                        <div class="product-infor row">
                                <div class="product-screen-size col-6"><i class="fa fa-desktop" aria-hidden="true"></i> @item.Monitor Inch</div>
                            <div class="product-cpu col-6"><i class="fas fa-microchip"></i> @item.Name</div>
                            <div class="product-memory col-6"><i class="fas fa-memory"></i> Ram @item.Ram GB</div>
                                <div class="product-hardDriver col-6"><i class="fas fa-hdd"></i> SSD @item.HardDriver GB</div>
                            <div class="product-gpu col-12">
                                <svg xmlns="http://www.w3.org/2000/svg" width="13.5" fill="currentColor" class="bi bi-gpu-card" viewBox="0 0 16 16">
                                    <path d="M4 8a1.5 1.5 0 1 1 3 0 1.5 1.5 0 0 1-3 0Zm7.5-1.5a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3Z" />
                                    <path d="M0 1.5A.5.5 0 0 1 .5 1h1a.5.5 0 0 1 .5.5V4h13.5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-.5.5H2v2.5a.5.5 0 0 1-1 0V2H.5a.5.5 0 0 1-.5-.5Zm5.5 4a2.5 2.5 0 1 0 0 5 2.5 2.5 0 0 0 0-5ZM9 8a2.5 2.5 0 1 0 5 0 2.5 2.5 0 0 0-5 0Z" />
                                    <path d="M3 12.5h3.5v1a.5.5 0 0 1-.5.5H3.5a.5.5 0 0 1-.5-.5v-1Zm4 1v-1h4v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5Z" />
                                </svg> @item.Card
                            </div>
                            <div class="product-weight col-6">
                                <i class="fas fa-weight-hanging"></i> @item.Weight kg
                            </div>
                            <div class="product-os col-6">
                                <i class="fab fa-microsoft"></i> @item.OperatingSystem
                            </div>
                        </div>
                        <div class="row">
                        <div class="product-buy-btn bg-danger text-center text-white font-weight-bold rounded-pill col-8 mb-2 p-2">MUA NGAY</div>
                        </div>
                    </div>
                    </a>
                </div>

            }*@
        </div>
    </div>
    </div>
        
        <!-- Pager -->
        <div class="clearfix">
                @Html.PagedListPager(Model, page => Url.Action("index", new { page = page }))
        </div>
    </div>
</div>

